[FFmpeg-devel] [PATCH][8/8] Add VA API deps to configure (take 3)

Diego Biurrun diego
Wed Mar 11 02:06:30 CET 2009

On Tue, Mar 10, 2009 at 03:37:15PM +0100, Gwenole Beauchesne wrote:
> On Fri, 6 Mar 2009, Gwenole Beauchesne wrote:
>> On Fri, 6 Mar 2009, Diego Biurrun wrote:
>>>> Because if you want to disable VA API or VDPAU that's 6 or 5 hwaccels
>>>> to specify. And if there is a new hwaccel, people will generally
>>>> forget about it, unless a glob catches it.
>>> New hwaccels will not appear very often and there is always the output
>>> of configure to check.
>> Really, dropping the option (along with vdpau) is not very convenient.
>> Please also do the same for dirac et al. then...
>> The purpose of the option is also to say: hey there is no such lib, or I
>> don't want you to use use it, so don't try to include code that depends on
>> it.
> New patch attached, akin to dirac, openjpeg et al. i.e. decoder based on  
> external libraries.

Those are different as they are external libraries that are actually
linked into FFmpeg.  What am I missing?

> --- configure	(revision 17924)
> +++ configure	(working copy)
> @@ -159,6 +163,7 @@
>    echo "  --enable-libtheora       enable Theora encoding via libtheora [no]"
> +  echo "  --enable-libva           enable hardware acceleration via VA API [no]"

I don't see a mention of libva in FFmpeg.


More information about the ffmpeg-devel mailing list